aboutsummaryrefslogtreecommitdiffstats
path: root/core/busybox-initscripts/dnsd.initd
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-06-10 20:05:21 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-06-10 20:05:21 +0000
commit3fe927c19c9a49ee5fec05135d9bcf726d05c2cc (patch)
tree468ef2474fcc9c2bf78fe1f05c0b1003819dcc3a /core/busybox-initscripts/dnsd.initd
parentccdfcb03aa148b0f479fe14e6e654d34696b208f (diff)
downloadaports-3fe927c19c9a49ee5fec05135d9bcf726d05c2cc.tar.bz2
aports-3fe927c19c9a49ee5fec05135d9bcf726d05c2cc.tar.xz
core/busybox-initscripts: new aport
We move many scripts from alpine-baselayout to this package.
Diffstat (limited to 'core/busybox-initscripts/dnsd.initd')
-rw-r--r--core/busybox-initscripts/dnsd.initd17
1 files changed, 17 insertions, 0 deletions
diff --git a/core/busybox-initscripts/dnsd.initd b/core/busybox-initscripts/dnsd.initd
new file mode 100644
index 0000000000..8d625f9e5e
--- /dev/null
+++ b/core/busybox-initscripts/dnsd.initd
@@ -0,0 +1,17 @@
+#!/sbin/runscript
+
+depend() {
+ need net
+}
+
+start() {
+ ebegin "Starting dnsd"
+ start-stop-daemon --start --exec /usr/sbin/dnsd -- -d $DNSD_OPTS
+ eend $?
+}
+
+stop () {
+ ebegin "Stopping dnsd"
+ start-stop-daemon --stop --exec /usr/sbin/dnsd
+ eend $?
+}